org.apache.ignite.cache.affinity

## Interface AffinityNodeHashResolver

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AffinityNodeAddressHashResolver, AffinityNodeIdHashResolver

    public interface AffinityNodeHashResolver
    extends Serializable

Resolver which is used to provide node hash value for affinity function.

Node IDs constantly change when nodes get restarted, which causes affinity mapping to change between restarts, and hence causing redundant repartitioning. Providing an alternate node hash value, which survives node restarts, will help to map keys to the same nodes whenever possible.

Note that on case clients exist they will query this object from the server and use it for affinity calculation. Therefore you must ensure that server and clients can marshal and unmarshal this object in portable format, i.e. all parties have object class(es) configured as portable.

### Method Summary

Methods
`Object` `resolve(ClusterNode node)` Resolve alternate hash value for the given Grid node.

### Method Detail

#### resolve

    Object resolve(ClusterNode node)

Resolve alternate hash value for the given Grid node.

Parameters:
  `node` - Grid node.
Returns:
  Resolved hash ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015